Package Details: cloud-sql-proxy-git 0.1.1-1

Git Clone URL: https://aur.archlinux.org/cloud-sql-proxy-git.git (read-only)
Package Base: cloud-sql-proxy-git
Description: The Cloud SQL Proxy allows a user with the appropriate permissions to connect to a Second Generation Cloud SQL database without having to deal with IP whitelisting or SSL certificates manually.
Upstream URL: https://github.com/GoogleCloudPlatform/cloudsql-proxy
Licenses: Apache
Submitter: ginabythebay
Maintainer: ginabythebay
Last Packager: ginabythebay
Votes: 0
Popularity: 0.000000
First Submitted: 2017-04-01 18:10
Last Updated: 2017-04-01 18:10

Dependencies (3)

Required by (0)

Sources (0)

Latest Comments

ginabythebay commented on 2017-08-04 16:46

Hmm, that is an interesting error. It looks like the compiler is choking on type aliases, which were introduced in the (still prerelease) 1.9 version of the language. The file with the error, https://github.com/golang/net/blob/master/context/go19.go, has a build tag for go 1.9, so you should be using a version of the compiler that matches the source file.

I wonder if the build might be picking up some earlier version of the 1.9 compiler, before type aliases were supported, that might be laying around in your system somewhere? What does this command output for you?

$ go version

psychoteadrink commented on 2017-08-04 11:06

==> Checking runtime dependencies...
==> Checking buildtime dependencies...
==> Retrieving sources...
==> Extracting sources...
==> Starting build()...
../../../src/golang.org/x/net/context/go19.go:15:14: expected type, found '='
../../../src/golang.org/x/net/context/go19.go:20:17: expected type, found '='
exit status 2
==> ERROR: A failure occurred in build().
Aborting...